# Simplest 'how long has it been since...?' possible.
module Since
  # Mark the time.
  # @return [Void]
  def self.now
    @@clock = Time.now
    @@clock
  end

  # When did we mark the time?
  # @return [Time]
  def self.when?
    @@clock
  end

  # Create a timestamp of the total duration since we marked the time.
  # @param fmt [String] format string for {Time#strftime}
  # @return [String]
  def self.then fmt = '%Hh %Mm %Ss'
    Time.at((Time.now - @@clock).to_i.abs).utc.strftime fmt
  end
end
